import { Interfaces } from '@oclif/core';
export interface ConfigJSON {
    install?: string;
    schema: 1;
    skipAnalytics?: boolean;
}
export default class HerokulyticsConfig {
    private readonly config;
    private _init;
    private body;
    private mtime?;
    private needsSave;
    private saving?;
    constructor(config: Interfaces.Config);
    private get file();
    get install(): string;
    set install(install: string);
    get skipAnalytics(): boolean;
    init(): Promise<void>;
    private canWrite;
    private genInstall;
    private getLastUpdated;
    private migrate;
    private read;
    private save;
}
